## qtl 1.29-2

=== DESCRIPTION ===
Package: qtl
Version: 1.29-2
Date: 9 Dec 2013
Title: Tools for analyzing QTL experiments
Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with ideas from Gary Churchill and Saunak Sen and contributions from Danny Arends, Ritsert Jansen, Pjotr Prins, Laura Shannon, and Brian Yandell
Maintainer: Karl W Broman <kbroman@biostat.wisc.edu>
Description: Analysis of experimental crosses to identify genes (called quantitative trait loci, QTLs) contributing to variation in quantitative traits.
Depends: R (>= 2.14.0), graphics, stats, parallel, utils
License: GPL-3
URL: http://www.rqtl.org
Packaged: 2013-12-09 15:47:14 UTC; kbroman
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-12-09 17:08:18

=== inst/contrib/bin/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

IF (NOT CMAKE_MODULE_PATH)
  set(CMAKE_MODULE_PATH ".")
ENDIF()

SET(CMAKE_BUILD_TYPE Debug)
IF(NOT WIN32)  
  EXECUTE_PROCESS(COMMAND grep Version ../../DESCRIPTION
    OUTPUT_STRIP_TRAILING_WHITESPACE
    OUTPUT_VARIABLE _VERSION)
  STRING(REGEX REPLACE "Version: " "" RQTL_VERSION "${_VERSION}")
ELSE()
  # Cannot assume we have grep on Windows - should be replaced with
  # CMake logic (FIXME)
  SET(RQTL_VERSION 1.15-3)
ENDIF()
MESSAGE("RQTL_VERSION=${RQTL_VERSION}")

IF ( CMAKE_BUILD_TYPE MATCHES Debug )
  ADD_DEFINITIONS(-Wall -D_DEBUG)
ENDIF ( CMAKE_BUILD_TYPE MATCHES Debug )

# CMake testing
ENABLE_TESTING()
ADD_CUSTOM_TARGET(quicktest COMMAND ctest -E "TestR")


if(${CMAKE_SIZEOF_VOID_P} EQUAL 8)
  set(BITS64 TRUE)
endif()

# ---- The following MACRO is just to keep the FindRLibs.cmake happy
MACRO(ASSERT_FOUNDMAP)
  SET(BUILD_LIBS TRUE)
  SET(BIOLIB_R_LIBRARY UNUSED)
ENDMACRO()

FIND_PACKAGE(RLibs)

include_directories (../../src)

# Compiler options
add_definitions(-DSTANDALONE)
# ADD_DEFINITIONS(-pedantic)
ADD_DEFINITIONS(-DENABLE_C99_MACROS)


IF(NOT WIN32)
  add_definitions(-pg)
  set(LINK_FLAGS "-pg")
ENDIF()

link_libraries(${R_LIBRARY} ${R_BLAS_LIBRARY})

add_executable (mqm
../../src/simulate.c
../../src/simulate.h
../../src/mqmaugment.cpp    
../../src/mqmeliminate.h  
../../src/mqmmapqtl.h     
../../src/mqmregression.cpp
../../src/mqmaugment.h      
../../src/mqmmixture.cpp  
../../src/mqmregression.h
../../src/mqmdatatypes.cpp 
../../src/mqmmixture.h    
../../src/mqmscan.cpp
../../src/mqmdatatypes.h    
../../src/mqm.h           
../../src/mqmprob.cpp     
../../src/mqmscan.h
../../src/mqmeliminate.cpp  
../../src/mqmmapqtl.cpp   
../../src/mqmprob.h       
../../src/standalone.h
../../src/util.h
../../src/util.c
mqmmain.cpp
)

add_executable (mqmdebugout
mqmdebugout.cpp
)

SET(RTEST scripts/r.sh)
SET(RTESTOUTPUT rtest/regression)

# Test R version (updating only the C libraries)
ADD_CUSTOM_TARGET(testR_Clibs
  COMMAND ${R_EXECUTABLE} CMD build --no-docs ../../ 
  COMMAND ${R_EXECUTABLE} CMD INSTALL --libs-only qtl_${RQTL_VERSION}.tar.gz 
  COMMAND ${CMAKE_COMMAND} -E remove qtl_${RQTL_VERSION}.tar.gz
  COMMAND ctest -R TestR)

# Test R version only
ADD_CUSTOM_TARGET(testR
  COMMAND ${R_EXECUTABLE} CMD build --no-docs ../../ 
  COMMAND ${R_EXECUTABLE} CMD INSTALL qtl_${RQTL_VERSION}.tar.gz 
  COMMAND ${CMAKE_COMMAND} -E remove qtl_${RQTL_VERSION}.tar.gz
  COMMAND ctest -R TestR)
  
# All tests, including R
ADD_CUSTOM_TARGET(testall
  COMMAND ${R_EXECUTABLE} CMD build --no-docs ../../ 
  COMMAND ${R_EXECUTABLE} CMD INSTALL qtl_${RQTL_VERSION}.tar.gz 
  COMMAND ${CMAKE_COMMAND} -E remove qtl_${RQTL_VERSION}.tar.gz
  COMMAND ctest)

IF(WIN32)
  SET(MQMEXE "mqm.exe")
  SET(MQMDEBUGOUT "mqmdebugout.exe")
ELSE()
  SET(MQMEXE "./mqm")
  SET(MQMDEBUGOUT "./mqmdebugout")
ENDIF()


# Tracetest
ADD_CUSTOM_TARGET(tracetest
  COMMAND ${MQMEXE} -o T12trace.log -d1 -ptest/std/phenotypes1.txt -gtest/std/genotypes1.txt -mtest/std/markers1.txt -stest/std/settings1.txt -ctest/t12/cofactors.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 
)


# debugout output
ADD_TEST(debugout_dnorm ${MQMDEBUGOUT} -d -o test/regression/debugout_dnorm.new)
ADD_TEST(debugout_dnorm_cmp ${CMAKE_COMMAND} -E compare_files test/regression/debugout_dnorm.new test/regression/debugout_dnorm.txt)

ADD_TEST(debugout_pbeta ${MQMDEBUGOUT} -p -o test/regression/debugout_pbeta.new)
ADD_TEST(debugout_pbeta_cmp ${CMAKE_COMMAND} -E compare_files test/regression/debugout_pbeta.new test/regression/debugout_pbeta.txt)

# Older test for comparison with (older test) MQM_test0.txt
# to only run this test use 'ctest -R test0'
ADD_TEST(TestMQMF2_test0 ${MQMEXE} -v -ptest/std/phenotypes1.txt -gtest/std/genotypes1.txt -mtest/std/markers1.txt -stest/std/settings1.txt --smin=-20 --smax=220 --sstep=5 --alpha=0.05 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t11out-test0.txt.rnew)
ADD_TEST(TestMQMF2_test0_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t11out-test0.txt.rnew test/regression/t11out-test0.txt)

# Run T11
ADD_TEST(TestMQMF2_T11 ${MQMEXE} -v -ptest/std/phenotypes1.txt -gtest/std/genotypes1.txt -mtest/std/markers1.txt -stest/std/settings1.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t11out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMF2_T11_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t11out.txt.rnew test/regression/t11out.txt)

# Run T12 Dataset 1 F2
ADD_TEST(TestMQMF2_T12 ${MQMEXE} -v -ptest/std/phenotypes1.txt -gtest/std/genotypes1.txt -mtest/std/markers1.txt -stest/std/settings1.txt -ctest/t12/cofactors.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t12out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMF2_T12_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t12out.txt.rnew test/regression/t12out.txt)

# Run T13 
ADD_TEST(TestMQMF2_T13 ${MQMEXE} -v -ptest/std/phenotypes1.txt -gtest/std/genotypes1.txt -mtest/std/markers1.txt -stest/std/settings1.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=y --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t13out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMF2_T13_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t13out.txt.rnew test/regression/t13out.txt)

# Run T21 Dataset 2 BC=~ Hyper (genotypes NA -> 0)
ADD_TEST(TestMQMBC_T21 ${MQMEXE} -v -ptest/std/phenotypes2.txt -gtest/std/genotypes2.txt -mtest/std/markers2.txt -stest/std/settings2.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t21out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMBC_T21_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t21out.txt.rnew test/regression/t21out.txt)

# Run T22
ADD_TEST(TestMQMBC_T22 ${MQMEXE} -v -ptest/std/phenotypes2.txt -gtest/std/genotypes2.txt -mtest/std/markers2.txt -stest/std/settings2.txt -ctest/t22/cofactors.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t22out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMBC_T22_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t22out.txt.rnew test/regression/t22out.txt)

# Run T23
#crash on est.map
ADD_TEST(TestMQMBC_T23 ${MQMEXE} -v -ptest/std/phenotypes2.txt -gtest/std/genotypes2.txt -mtest/std/markers2.txt -stest/std/settings2.txt -ctest/t23/cofactors.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=y --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t23out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMNC_T23_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t23out.txt.rnew test/regression/t23out.txt)

# Run T24
#crash due to augmentation
ADD_TEST(TestMQMBC_T24 ${MQMEXE} -v -ptest/std/phenotypes2.txt -gtest/std/genotypes2m.txt -mtest/std/markers2.txt -stest/std/settings2.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=1 -o test/regression/t24out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMBC_T24_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t24out.txt.rnew test/regression/t24out.txt)

# Run T25
ADD_TEST(TestMQMBC_T25 ${MQMEXE} -v -ptest/std/phenotypes2.txt -gtest/std/genotypes2m.txt -mtest/std/markers2.txt -stest/std/settings2.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=0.5 -o test/regression/t25out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMBC_T25_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t25out.txt.rnew test/regression/t25out.txt)

# Run T31 Dataset 3 F2=~ Listeria
ADD_TEST(TestMQMF2_T31 ${MQMEXE} -v -ptest/std/phenotypes3.txt -gtest/std/genotypes3.txt -mtest/std/markers3.txt -stest/std/settings3.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=0.5 -o test/regression/t31out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMF2_T31_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t31out.txt.rnew test/regression/t31out.txt)

# Run T32
#if(BITS64)
#  MESSAGE("Skip T32 on 64-bits")
#else()
  ADD_TEST(TestMQMF2_T32 ${MQMEXE} -v -ptest/std/phenotypes3.txt -gtest/std/genotypes3m.txt -mtest/std/markers3.txt -stest/std/settings3.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=0.5 -o test/regression/t32out.txt.rnew)
  # Immediately compare outputs against older results
  ADD_TEST(TestMQMF2_T32_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t32out.txt.rnew test/regression/t32out.txt)
#endif()

# Run T33
ADD_TEST(TestMQMF2_T33 ${MQMEXE} -v -ptest/std/phenotypes3.txt -gtest/std/genotypes3.txt -mtest/std/markers3.txt -stest/std/settings3.txt -ctest/t33/cofactors.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=10000 --miaugment=250 --minprob=0.5 -o test/regression/t33out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMF2_T33_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t33out.txt.rnew test/regression/t33out.txt)

# Run T32
ADD_TEST(TestMQMF2_T34 ${MQMEXE} -v -ptest/std/phenotypes3.txt -gtest/std/genotypes3m.txt -mtest/std/markers3.txt -stest/std/settings3.txt --smin=0 --smax=200 --sstep=2 --alpha=0.02 --window=10 --maxiter=1000 --estmap=n --maugment=120 --miaugment=1 --minprob=1 -o test/regression/t34out.txt.rnew)
# Immediately compare outputs against older results
ADD_TEST(TestMQMF2_T34_cmp ${CMAKE_COMMAND} -E compare_files test/regression/t34out.txt.rnew test/regression/t34out.txt)

IF(TEST_R)
  ADD_TEST(TestR_io ${RTEST} ../../tests test_io.R)
  ADD_TEST(TestR_qtl ${RTEST} ../../tests test_qtl.R)
  ADD_TEST(TestR_scanone_mr ${RTEST} rtest test_scanone_mr.R)
  ADD_TEST(TestR_scanone_mr_cmp ${CMAKE_COMMAND} -E compare_files ${RTESTOUTPUT}/scanone_mr.rnew ${RTESTOUTPUT}/scanone_mr.rtest)
  ADD_TEST(TestR_mqm_listeria1 ${RTEST} rtest test_mqm_listeria1.R)
  if(NOT BITS64)
    ADD_TEST(TestR_mqm_listeria1_cmp ${CMAKE_COMMAND} -E compare_files ${RTESTOUTPUT}/mqm_listeria1.rnew ${RTESTOUTPUT}/mqm_listeria1.rtest)
  endif()
  ADD_TEST(TestR_augmentation ${RTEST} rtest test_augmentation.R)
ENDIF()

## qtl 1.30-4

=== DESCRIPTION ===
Package: qtl
Version: 1.30-4
Date: 10 Feb 2014
Title: Tools for analyzing QTL experiments
Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with ideas from Gary Churchill and Saunak Sen and contributions from Danny Arends, Ritsert Jansen, Pjotr Prins, Laura Shannon, and Brian Yandell
Maintainer: Karl W Broman <kbroman@biostat.wisc.edu>
Description: Analysis of experimental crosses to identify genes (called quantitative trait loci, QTLs) contributing to variation in quantitative traits.
Depends: R (>= 2.14.0), graphics, stats, parallel, utils
License: GPL-3
URL: http://www.rqtl.org
Packaged: 2014-02-10 23:19:35 UTC; kbroman
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-02-11 00:55:21

## qtl 1.31-9

=== DESCRIPTION ===
Package: qtl
Version: 1.31-9
Date: 19 Mar 2014
Title: Tools for analyzing QTL experiments
Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with ideas from Gary Churchill and Saunak Sen and contributions from Danny Arends, Ritsert Jansen, Pjotr Prins, Laura Shannon, and Brian Yandell
Maintainer: Karl W Broman <kbroman@biostat.wisc.edu>
Description: Analysis of experimental crosses to identify genes (called quantitative trait loci, QTLs) contributing to variation in quantitative traits.
Depends: R (>= 2.14.0), graphics, stats, parallel, utils
License: GPL-3
URL: http://www.rqtl.org
Packaged: 2014-03-19 22:41:25 UTC; kbroman
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-03-20 07:39:27

## qtl 1.32

=== DESCRIPTION ===
Package: qtl
Version: 1.32-10
Date: 28 May 2014
Title: Tools for analyzing QTL experiments
Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with ideas from Gary Churchill and Saunak Sen and contributions from Danny Arends, Ritsert Jansen, Pjotr Prins, Laura Shannon, and Brian Yandell
Maintainer: Karl W Broman <kbroman@biostat.wisc.edu>
Description: Analysis of experimental crosses to identify genes (called quantitative trait loci, QTLs) contributing to variation in quantitative traits.
Depends: R (>= 2.14.0), graphics, stats, utils
Imports: parallel
License: GPL-3
URL: http://www.rqtl.org
Packaged: 2014-05-28 17:33:07 UTC; kbroman
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-05-29 18:40:15

## qtl 1.32-10

=== inst/contrib/bin/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 FIND_PACKAGE(RLibs)
 
-include_directories (../../src)
+include_directories (../../../src)
 
 # Compiler options
 add_definitions(-DSTANDALONE)
@@ -54,28 +54,28 @@
 link_libraries(${R_LIBRARY} ${R_BLAS_LIBRARY})
 
 add_executable (mqm
-../../src/simulate.c
-../../src/simulate.h
-../../src/mqmaugment.cpp    
-../../src/mqmeliminate.h  
-../../src/mqmmapqtl.h     
-../../src/mqmregression.cpp
-../../src/mqmaugment.h      
-../../src/mqmmixture.cpp  
-../../src/mqmregression.h
-../../src/mqmdatatypes.cpp 
-../../src/mqmmixture.h    
-../../src/mqmscan.cpp
-../../src/mqmdatatypes.h    
-../../src/mqm.h           
-../../src/mqmprob.cpp     
-../../src/mqmscan.h
-../../src/mqmeliminate.cpp  
-../../src/mqmmapqtl.cpp   
-../../src/mqmprob.h       
-../../src/standalone.h
-../../src/util.h
-../../src/util.c
+../../../src/simulate.c
+../../../src/simulate.h
+../../../src/mqmaugment.cpp    
+../../../src/mqmeliminate.h  
+../../../src/mqmmapqtl.h     
+../../../src/mqmregression.cpp
+../../../src/mqmaugment.h      
+../../../src/mqmmixture.cpp  
+../../../src/mqmregression.h
+../../../src/mqmdatatypes.cpp 
+../../../src/mqmmixture.h    
+../../../src/mqmscan.cpp
+../../../src/mqmdatatypes.h    
+../../../src/mqm.h           
+../../../src/mqmprob.cpp     
+../../../src/mqmscan.h
+../../../src/mqmeliminate.cpp  
+../../../src/mqmmapqtl.cpp   
+../../../src/mqmprob.h       
+../../../src/standalone.h
+../../../src/util.h
+../../../src/util.c
 mqmmain.cpp
 )

=== debian/changelog ===
qtl (1.32-10-1) unstable; urgency=medium

  * New upstream version
  * Adapt autopkgtest to be similar to other test scripts

 -- Andreas Tille <tille@debian.org>  Mon, 23 Jun 2014 13:35:41 +0200

qtl (1.30-4-1) unstable; urgency=medium

  * New upstream version
  * debian/upstream -> debian/upstream/metadata
  * cme fix dpkg-control
  * drop "Recommends: r-cran-rlecuyer" since this is neither packaged
    for Debian nor mentioned inside source code
  * Update debian/README.test to explain how to sensibly test the package
  * Provide autopkgtest
  * Enhance long description (avoid using-first-person-in-description)

 -- Andreas Tille <tille@debian.org>  Tue, 18 Mar 2014 16:05:24 +0100

=== debian/control ===
Source: qtl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-qtl/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-qtl/trunk/
Homepage: http://www.rqtl.org

Package: r-cran-qtl
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends}
Suggests: r-cran-snow
Description: GNU R package for genetic marker linkage analysis
 R/qtl is an extensible, interactive environment for mapping quantitative
 trait loci (QTLs) in experimental crosses. It is implemented as an
 add-on-package for the freely available and widely used statistical
 language/software R (see http://www.r-project.org).
 .
 The development of this software as an add-on to R allows one to take
 advantage of the basic mathematical and statistical functions, and
 powerful graphics capabilities, that are provided with R. Further,
 the user will benefit by the seamless integration of the QTL mapping
 software into a general statistical analysis program. The goal is to
 make complex QTL mapping methods widely accessible and allow users to
 focus on modeling rather than computing.
 .
 A key component of computational methods for QTL mapping is the hidden
 Markov model (HMM) technology for dealing with missing genotype data. The
 main HMM algorithms, with allowance for the presence of genotyping errors,
 for backcrosses, intercrosses, and phase-known four-way crosses
 were implemented.
 .
 The current version of R/qtl includes facilities for estimating
 genetic maps, identifying genotyping errors, and performing single-QTL
 genome scans and two-QTL, two-dimensional genome scans, by interval
 mapping (with the EM algorithm), Haley-Knott regression, and multiple
 imputation. All of this may be done in the presence of covariates (such
 as sex, age or treatment). One may also fit higher-order QTL models by
 multiple imputation.

## qtl 1.33-7

=== DESCRIPTION ===
Package: qtl
Version: 1.33-7
Date: 12 Aug 2014
Title: Tools for analyzing QTL experiments
Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
  ideas from Gary Churchill and Saunak Sen and contributions from
  Danny Arends, Timothee Flutre, Ritsert Jansen, Pjotr Prins, Laura
  Shannon, and Brian Yandell
Maintainer: Karl W Broman <kbroman@biostat.wisc.edu>
Description: Analysis of experimental crosses to identify genes
  (called quantitative trait loci, QTLs) contributing to variation in
  quantitative traits.
Depends: R (>= 2.14.0), graphics, stats, utils
Imports: parallel
License: GPL-3
URL: http://www.rqtl.org
Packaged: 2014-08-12 16:39:48 UTC; kbroman
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-08-12 20:20:44

## qtl 1.34-16

=== DESCRIPTION ===
Package: qtl
Version: 1.34-16
Date: 29 Oct 2014
Title: Tools for analyzing QTL experiments
Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
  ideas from Gary Churchill and Saunak Sen and contributions from
  Danny Arends, Timothee Flutre, Ritsert Jansen, Pjotr Prins, Lars
  Ronnegard, Rohan Shah, Laura Shannon, Quoc Tran, Aaron Wolen, and
  Brian Yandell
Maintainer: Karl W Broman <kbroman@biostat.wisc.edu>
Description: Analysis of experimental crosses to identify genes
  (called quantitative trait loci, QTLs) contributing to variation in
  quantitative traits.
Depends: R (>= 2.14.0), graphics, stats, utils
Imports: parallel
Suggests: testthat
License: GPL-3
URL: http://www.rqtl.org
Packaged: 2014-10-29 14:36:11 UTC; kbroman
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-10-29 19:20:30

## qtl 1.34-17

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.34-16
-Date: 29 Oct 2014
+Version: 1.34-17
+Date: 30 Oct 2014
 Title: Tools for analyzing QTL experiments
 Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -16,7 +16,7 @@
 Suggests: testthat
 License: GPL-3
 URL: http://www.rqtl.org
-Packaged: 2014-10-29 14:36:11 UTC; kbroman
+Packaged: 2014-10-30 19:09:14 UTC; kbroman
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2014-10-29 19:20:30
+Date/Publication: 2014-10-30 21:22:17

## qtl 1.35-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.34-17
-Date: 30 Oct 2014
+Version: 1.35-1
+Date: 12 Dec 2014
 Title: Tools for analyzing QTL experiments
 Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -16,7 +16,7 @@
 Suggests: testthat
 License: GPL-3
 URL: http://www.rqtl.org
-Packaged: 2014-10-30 19:09:14 UTC; kbroman
+Packaged: 2014-12-12 21:56:31 UTC; kbroman
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2014-10-30 21:22:17
+Date/Publication: 2014-12-13 00:20:11

## qtl 1.35-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: qtl
-Version: 1.35-1
-Date: 12 Dec 2014
-Title: Tools for analyzing QTL experiments
+Version: 1.35-3
+Date: 15 Dec 2014
+Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
   Danny Arends, Timothee Flutre, Ritsert Jansen, Pjotr Prins, Lars
@@ -16,7 +16,7 @@
 Suggests: testthat
 License: GPL-3
 URL: http://www.rqtl.org
-Packaged: 2014-12-12 21:56:31 UTC; kbroman
+Packaged: 2014-12-15 22:14:39 UTC; kbroman
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2014-12-13 00:20:11
+Date/Publication: 2014-12-16 04:26:28

## qtl 1.36-6

=== DESCRIPTION ===
Package: qtl
Version: 1.36-6
Date: 2015-03-05
Title: Tools for Analyzing QTL Experiments
Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
  ideas from Gary Churchill and Saunak Sen and contributions from
  Danny Arends, Robert Corty, Timothee Flutre, Ritsert Jansen, Pjotr
  Prins, Lars Ronnegard, Rohan Shah, Laura Shannon, Quoc Tran, Aaron
  Wolen, and Brian Yandell
Maintainer: Karl W Broman <kbroman@biostat.wisc.edu>
Description: Analysis of experimental crosses to identify genes
  (called quantitative trait loci, QTLs) contributing to variation in
  quantitative traits.
Depends: R (>= 2.14.0), graphics, stats, utils
Imports: parallel
Suggests: testthat
License: GPL-3
URL: http://www.rqtl.org
NeedsCompilation: yes
Packaged: 2015-03-05 21:44:28 UTC; kbroman
Repository: CRAN
Date/Publication: 2015-03-06 00:47:08

## qtl 1.38-4

=== DESCRIPTION ===
Package: qtl
Version: 1.38-4
Date: 2015-12-03
Title: Tools for Analyzing QTL Experiments
Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
  ideas from Gary Churchill and Saunak Sen and contributions from
  Danny Arends, Robert Corty, Timothee Flutre, Ritsert Jansen, Pjotr
  Prins, Lars Ronnegard, Rohan Shah, Laura Shannon, Quoc Tran, Aaron
  Wolen, and Brian Yandell
Maintainer: Karl W Broman <kbroman@biostat.wisc.edu>
Description: Analysis of experimental crosses to identify genes
  (called quantitative trait loci, QTLs) contributing to variation in
  quantitative traits.
Depends: R (>= 2.14.0)
Imports: parallel, graphics, stats, utils, grDevices
Suggests: testthat
License: GPL-3
URL: http://www.rqtl.org
NeedsCompilation: yes
Packaged: 2015-12-03 12:42:20 UTC; kbroman
Repository: CRAN
Date/Publication: 2015-12-03 16:24:37

## qtl 1.39-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.38-4
-Date: 2015-12-03
+Version: 1.39-5
+Date: 2016-03-04
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -17,6 +17,6 @@
 License: GPL-3
 URL: http://www.rqtl.org
 NeedsCompilation: yes
-Packaged: 2015-12-03 12:42:20 UTC; kbroman
+Packaged: 2016-03-04 14:30:13 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2015-12-03 16:24:37
+Date/Publication: 2016-03-04 17:34:17

## qtl 1.40-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.39-5
-Date: 2016-03-04
+Version: 1.40-8
+Date: 2016-10-31
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -15,8 +15,8 @@
 Imports: parallel, graphics, stats, utils, grDevices
 Suggests: testthat
 License: GPL-3
-URL: http://www.rqtl.org
+URL: http://rqtl.org
 NeedsCompilation: yes
-Packaged: 2016-03-04 14:30:13 UTC; kbroman
+Packaged: 2016-10-31 13:53:16 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2016-03-04 17:34:17
+Date/Publication: 2016-11-05 08:59:40

## qtl 1.41-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.40-8
-Date: 2016-10-31
+Version: 1.41-6
+Date: 2017-06-11
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -17,6 +17,6 @@
 License: GPL-3
 URL: http://rqtl.org
 NeedsCompilation: yes
-Packaged: 2016-10-31 13:53:16 UTC; kbroman
+Packaged: 2017-06-11 21:50:21 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2016-11-05 08:59:40
+Date/Publication: 2017-06-12 06:00:56 UTC

## qtl 1.42-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.41-6
-Date: 2017-06-11
+Version: 1.42-7
+Date: 2018-02-16
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -15,8 +15,10 @@
 Imports: parallel, graphics, stats, utils, grDevices
 Suggests: testthat
 License: GPL-3
-URL: http://rqtl.org
+URL: https://rqtl.org, https://github.com/kbroman/qtl
+BugReports: https://github.com/kbroman/qtl/issues
+Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2017-06-11 21:50:21 UTC; kbroman
+Packaged: 2018-02-16 21:15:26 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2017-06-12 06:00:56 UTC
+Date/Publication: 2018-02-18 15:31:12 UTC

## qtl 1.48-1

=== DESCRIPTION ===
Package: qtl
Version: 1.48-1
Date: 2021-03-24
Title: Tools for Analyzing QTL Experiments
Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
  ideas from Gary Churchill and Saunak Sen and contributions from
  Danny Arends, Robert Corty, Timothee Flutre, Ritsert Jansen, Pjotr
  Prins, Lars Ronnegard, Rohan Shah, Laura Shannon, Quoc Tran, Aaron
  Wolen, Brian Yandell, and R Core Team
Maintainer: Karl W Broman <broman@wisc.edu>
Description: Analysis of experimental crosses to identify genes
  (called quantitative trait loci, QTLs) contributing to variation in
  quantitative traits.
  Broman et al. (2003) <doi:10.1093/bioinformatics/btg112>.
Copyright: Code for Brent's method for finding the root of a univariate
        function was taken from R 2.15.1 (Copyright 1999, 2001 The R
        Core Team)
Depends: R (>= 2.14.0)
Imports: parallel, graphics, stats, utils, grDevices
Suggests: testthat
License: GPL-3
URL: https://rqtl.org, https://github.com/kbroman/qtl
BugReports: https://github.com/kbroman/qtl/issues
Encoding: UTF-8
ByteCompile: true
NeedsCompilation: yes
Packaged: 2021-03-24 16:04:27 UTC; kbroman
Repository: CRAN
Date/Publication: 2021-03-27 08:40:10 UTC

## qtl 1.52

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.48-1
-Date: 2021-03-24
+Version: 1.52
+Date: 2022-07-09
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -24,6 +24,6 @@
 Encoding: UTF-8
 ByteCompile: true
 NeedsCompilation: yes
-Packaged: 2021-03-24 16:04:27 UTC; kbroman
+Packaged: 2022-07-09 11:16:05 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2021-03-27 08:40:10 UTC
+Date/Publication: 2022-07-09 14:50:02 UTC

## qtl 1.54

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.52
-Date: 2022-07-09
+Version: 1.54
+Date: 2022-12-01
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -24,6 +24,6 @@
 Encoding: UTF-8
 ByteCompile: true
 NeedsCompilation: yes
-Packaged: 2022-07-09 11:16:05 UTC; kbroman
+Packaged: 2022-12-01 22:41:05 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2022-07-09 14:50:02 UTC
+Date/Publication: 2022-12-02 00:20:02 UTC

## qtl 1.62

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.54
-Date: 2022-12-01
+Version: 1.62
+Date: 2023-11-17
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -24,6 +24,6 @@
 Encoding: UTF-8
 ByteCompile: true
 NeedsCompilation: yes
-Packaged: 2022-12-01 22:41:05 UTC; kbroman
+Packaged: 2023-11-17 19:44:31 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2022-12-02 00:20:02 UTC
+Date/Publication: 2023-11-17 21:00:02 UTC

## qtl 1.72

=== DESCRIPTION ===
Package: qtl
Version: 1.72
Date: 2025-11-19
Title: Tools for Analyzing QTL Experiments
Author: Karl W Broman [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-4914-6671>),
  Hao Wu [aut],
  Gary Churchill [ctb] (ORCID: <https://orcid.org/0000-0001-9190-9284>),
  Saunak Sen [ctb] (ORCID: <https://orcid.org/0000-0003-4519-6361>),
  Danny Arends [ctb] (ORCID: <https://orcid.org/0000-0001-8738-0162>),
  Robert Corty [ctb],
  Timothee Flutre [ctb],
  Ritsert Jansen [ctb],
  Pjotr Prins [ctb] (ORCID: <https://orcid.org/0000-0002-8021-9162>),
  Lars Ronnegard [ctb],
  Rohan Shah [ctb],
  Laura Shannon [ctb],
  Quoc Tran [ctb],
  Aaron Wolen [ctb],
  Brian Yandell [ctb] (ORCID: <https://orcid.org/0000-0002-8774-9377>),
  R Core Team [ctb]
Authors@R: c(person(given = c("Karl", "W"),
                    family = "Broman",
                    role = c("aut", "cre"),
                    email = "broman@wisc.edu",
                    comment=c(ORCID = "0000-0002-4914-6671")),
             person(given = "Hao",
                    family = "Wu",
                    role = "aut"),
             person(given = c("Gary"),
                    family = "Churchill",
                    role = "ctb",
                    comment=c(ORCID = "0000-0001-9190-9284")),
             person(given = "Saunak",
                    family = "Sen",
                    role = "ctb",
                    comment=c(ORCID = "0000-0003-4519-6361")),
             person(given = "Danny",
                    family = "Arends",
                    role = "ctb",
                    comment=c(ORCID = "0000-0001-8738-0162")),
             person(given = "Robert",
                    family = "Corty",
                    role = "ctb"),
             person(given = "Timothee",
                    family = "Flutre",
                    role = "ctb"),
             person(given = "Ritsert",
                    family = "Jansen",
                    role = "ctb"),
             person(given = "Pjotr",
                    family = "Prins",
                    role = "ctb",
                    comment=c(ORCID = "0000-0002-8021-9162")),
             person(given = "Lars",
                    family = "Ronnegard",
                    role = "ctb"),
             person(given = "Rohan",
                    family = "Shah",
                    role = "ctb"),
             person(given = "Laura",
                    family = "Shannon",
                    role = "ctb"),
             person(given = "Quoc",
                    family = "Tran",
                    role = "ctb"),
             person(given = "Aaron",
                    family = "Wolen",
                    role = "ctb"),
             person(given = "Brian",
                    family = "Yandell",
                    role = "ctb",
                    comment=c(ORCID = "0000-0002-8774-9377")),
             person("R Core Team",
                    role = "ctb"))
Maintainer: Karl W Broman <broman@wisc.edu>
Description: Analysis of experimental crosses to identify genes
  (called quantitative trait loci, QTLs) contributing to variation in
  quantitative traits.
  Broman et al. (2003) <doi:10.1093/bioinformatics/btg112>.
Copyright: Code for Brent's method for finding the root of a univariate
        function was taken from R 2.15.1 (Copyright 1999, 2001 The R
        Core Team)
Depends: R (>= 2.14.0)
Imports: parallel, graphics, stats, utils, grDevices
Suggests: testthat
License: GPL-3
URL: https://rqtl.org, https://github.com/kbroman/qtl
BugReports: https://github.com/kbroman/qtl/issues
Encoding: UTF-8
ByteCompile: true
NeedsCompilation: yes
Packaged: 2025-11-19 15:04:00 UTC; kbroman
Repository: CRAN
Date/Publication: 2025-11-19 15:50:02 UTC
